[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

libjpeg-dev dependency (bug 610862)

Where did we eventually land on the correct way to make a dependency on
libjpeg's dev package?  libtiff4-dev depends on libjpeg-dev (and tiff
build-depends on libjpeg-dev), which I believe was explicitly done
during the libjpeg62 to libjpeg8 transition, which got confused at some
point.  Anyway, a user complains in bug 610862 that libtiff4-dev depends
on libjpeg-dev and shouldn't, but before I change it, I wanted to find
out what I should be doing now.  I could change to something like
libjpeg-dev | libjpeg8-dev or even to libjpeg8-dev | libjpeg-dev (or the
libjpeg62-dev versions of the above), but I thought by using
libjpeg-dev, I was protecting my package against having to be
re-uploaded in the event of a jpeg transition.  I could look at the
current state, but that doesn't necessarily tell me what the long-term
plans are.

Jay Berkenbilt <qjb@debian.org>

Reply to: